<?php
/**
 * EMLG TFA
 *
 * Plugin Name:  EMLG TFA
 * Description:  Two-Factor Authentication via out of band email
 * Version:      1.1
 * Author:       wprj
 * Author URI:   https://www.upwork.com/freelancers/~01f7aae88a686d0580
 * Text Domain:  emlg-tfa
 * Domain Path:  /languages
 * License:      GPLv3
 * License URI:  https://www.gnu.org/licenses/gpl-3.0.en.html
 */

const EMLG_VERSION = '1.1';
define( 'EMLG_BASE', plugin_basename( __FILE__ ) );
define( 'EMLG_PATH', trailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'EMLG_URL', trailingslashit( plugin_dir_url( __FILE__ ) ) );

/**
 * Load all classes
 *
 * @return void
 */
function emlg_load_files() {
	$files = [
		'includes/class-emlg-ajax.php',
		'includes/class-emlg-codes.php',
		'includes/class-emlg-dashboard.php',
		'includes/class-emlg-email.php',
		'includes/class-emlg-login.php',
	];
	foreach ( $files as $file ) {
		require_once EMLG_PATH . $file;
	}
}

emlg_load_files();

/**
 * Tasks on 'plugins_loaded'
 *
 * @return void
 */
function emlg_plugins_loaded() {
	load_plugin_textdomain( 'emlg-tfa', false, EMLG_PATH . 'languages' );
	if ( is_admin() ) {
		new Emlg_Dashboard();

		if ( wp_doing_ajax() ) {
			new Emlg_Ajax();
		}
	}
}

add_action( 'plugins_loaded', 'emlg_plugins_loaded' );
