<?php
/**
 * Dashboard page templates.
 */
?>
<div class="wrap">
	<h2><?php esc_html_e( 'EMLG TFA', 'emlg-tfa' ); ?></h2>
	<div id="body">
		<form name="emlg" id="emlg" data-nonce="<?php echo esc_attr( wp_create_nonce( 'emlg' ) ); ?>"></form>
	</div>
	<div id="emlg-overlay"></div>
</div>
<div id="emlg-editor" class="emlg-close-editor">
	<div>
		<div>
			<div>
				<div class="inner-frame">
					<i class="dashicons dashicons-dismiss emlg-close-editor" title="<?php esc_attr_e( 'Close', 'emlg-tfa' ); ?>"></i>
					<div>
						<div class="head">
							<a href="#" class="button disabled" data-action="edit"><?php esc_html_e( 'Edit', 'emlg-tfa' ); ?></a>
							<a href="#" class="button disabled" data-action="preview"><?php esc_html_e( 'Preview', 'emlg-tfa' ); ?></a>
							<a href="#" class="button-primary alignright" data-action="apply"><?php esc_html_e( 'Apply changes', 'emlg-tfa' ); ?></a>
						</div>
						<div class="body">
							<div class="content" data-action="edit">
								<p>
									<?php
									printf(
									// translators: 1: place holder for site title, 2:login code, 3:user login, 4:site url
										esc_html__( 'Placeholders: %1$s: site title, %2$s: verification code, %3$s: username, %4$s: site url', 'emlg-tfa' ),
										'<code>%SITE_TITLE%</code>',
										'<code>%CODE%</code>',
										'<code>%USER%</code>',
										'<code>%SITE_URL%</code>'
									);
									?>
								</p>
								<label><textarea></textarea></label>
							</div>
							<div class="content" data-action="preview">
								<div id="emlg-iframe-wrap">
									<iframe></iframe>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/html" id="tmpl-emlg-mail-check">
	<div id="emlg-mail-check" class="form-group">
		<span class="head"><?php esc_html_e( 'WordPress email capability', 'emlg-tfa' ); ?></span>
		<?php // @formatter:off ?>
		<# if ( data.options.mail_cap_status === 'yes' ) { #>
		<# } else if ( data.options.mail_cap_status.indexOf( '@' ) !== -1 ) { #>
			<input type="hidden" name="form_name" value="submit_code" />
			<p>
				<i class="dashicons dashicons-email-alt"></i><?php esc_html_e( 'An email with a confirmation code has been sent to', 'emlg-tfa' ); ?>
				"{{data.options.mail_cap_status}}"
			</p>
			<label>
				<span class="label"><?php esc_html_e( 'Confirm code', 'emlg-tfa' ); ?></span>
				<input type="text" name="code" value="" />
			</label>
			<# if (typeof data.error !== 'undefined' && data.error !== '' ) { #>
				<p class="error"><i class="dashicons dashicons-info"></i>{{data.error}}</p>
			<# } #>
			<p>
				<button id="emlg-submit-code" class="button-primary"><?php esc_html_e( 'Submit code', 'emlg-tfa' ); ?></button>
				<a id="emlg-check-email-capability" class="button" href="#"><?php esc_html_e( 'Resend email', 'emlg-tfa' ); ?></a>
			</p>
			<p class="description"><?php esc_html_e( "Two-factor authentication via email can't work unless WordPress can actually send emails.", 'emlg-tfa' ); ?></p>
		<# } else if ( data.options.mail_cap_status === 'no' ) { #>
			<p class="error">
				<i class="dashicons dashicons-no"></i>
				<?php esc_html_e( 'An attempt to send an email has failed during an user login. Please verify the email capability of your WordPress installation.', 'emlg-tfa' ); ?>
			</p>
			<label>
				<p>
					<button id="emlg-check-email-capability" class="button"><?php esc_html_e( 'Send a test email', 'emlg-tfa' ); ?></button>
				</p>
			</label>
			<# if ( typeof data.error !== 'undefined' && data.error !== '' ) { #>
			<p class="error"><i class="dashicons dashicons-info"></i>{{data.error}}</p>
			<# } #>
			<p class="description"><?php esc_html_e( "Two-factor authentication via email can't work unless WordPress can actually send email.", 'emlg-tfa' ); ?></p>
		<# } else if ( data.options.mail_cap_status === '' ) { #>
			<p><i class="dashicons dashicons-warning"></i><?php esc_html_e( 'unknown', 'emlg-tfa' ); ?></p>
			<label>
				<p>
					<button id="emlg-check-email-capability" class="button"><?php esc_html_e( 'Check now', 'emlg-tfa' ); ?></button>
				</p>
			</label>
			<# if (typeof data.error !== 'undefined' && data.error !== '' ) { #>
			<p class="error"><i class="dashicons dashicons-info"></i>{{data.error}}</p>
			<# } #>
			<p class="description"><?php esc_html_e( "Two-factor authentication via email can't work unless WordPress can actually send email.", 'emlg-tfa' ); ?></p>
		<# } #>
		<?php // @formatter:on ?>
	</div>
</script>
<script type="text/html" id="tmpl-emlg-settings">
	<input type="hidden" name="form_name" value="save_settings"/>
	<div id="emlg-mail-check" class="form-group">
		<label><span class="label"><?php esc_html_e( 'Email 2FA', 'emlg-tfa' ); ?></span>
			<select name="enabled">
				<?php // @formatter:off ?>
				<option value="" <# print( data.options.enabled !== 'enabled' ? '' : 'selected' ) #> ><?php esc_html_e( 'Disabled', 'emlg-tfa' ); ?></option>
				<option value="enabled" <# print( data.options.enabled === 'enabled' ? 'selected' : '' ) #> ><?php esc_html_e( 'enabled', 'emlg-tfa' ); ?></option>
				<?php // @formatter:on ?>
			</select>
		</label>
		<p class="description"><?php esc_html_e( 'Enable Two-Factor Authentication via Email', 'emlg-tfa' ); ?></p>
	</div>
	<div class="form-group">
		<label>
			<span class="label"><?php esc_html_e( 'Sender name', 'emlg-tfa' ); ?></span>
			<input type="text" class="widefat" name="email_details[sender_name]" value="{{data.options.email_details.sender_name}}"/>
		</label>
		<p class="description"><?php esc_html_e( 'Email sender name', 'emlg-tfa' ); ?></p>
	</div>
	<div class="form-group">
		<label>
			<span class="label"><?php esc_html_e( 'Sender email address', 'emlg-tfa' ); ?></span>
			<input type="text" class="widefat" name="email_details[sender_email]" value="{{data.options.email_details.sender_email}}"/>
		</label>
		<p class="description"><?php esc_html_e( 'Sender email address', 'emlg-tfa' ); ?></p>
	</div>
	<div class="form-group">
		<label>
			<span class="label"><?php esc_html_e( 'Email subject', 'emlg-tfa' ); ?></span>
			<input type="text" class="widefat" name="email_details[subject]" value="{{data.options.email_details.subject}}"/>
		</label>
		<p class="description"><?php esc_html_e( 'Login email subject', 'emlg-tfa' ); ?></p>
	</div>
	<div class="form-group">
		<label>
			<span class="label"><?php esc_html_e( 'Login email template', 'emlg-tfa' ); ?></span>
			<input type="hidden" id="emlg-login-mail-template" class="emlg-html-editor" name="templates[login_mail]" value="{{data.options.templates.login_mail}}"/>
		</label>
		<p>
			<a href="#" class="button emlg-open-editor" data-target="emlg-login-mail-template"><?php esc_html_e( 'Edit', 'emlg-tfa' ); ?></a>
		</p>
		<p class="description"><?php esc_html_e( 'Login email template', 'emlg-tfa' ); ?></p>
	</div>
	<p class="submit">
		<button class="button button-primary"><?php esc_html_e( 'Save settings', 'emlg-tfa' ); ?></button>
	</p>
</script>
