<?php
/**
 * Confirmation code page.
 */

$code64 = isset( $_GET['emlg_code'] ) ? sanitize_text_field( $_GET['emlg_code'] ) : '';
$email = isset( $_GET['emlg_code'] ) ? base64_decode( $code64 ) : '';
$error = Emlg_Login::get_error_message();
$emlg_url = site_url( '?emlg_code=' . $code64 );

wp_enqueue_style( 'login' );
wp_enqueue_style( 'emlg/login', EMLG_URL . 'css/emlg-login.css', [], EMLG_VERSION );

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>"/>
	<title><?php esc_html_e( 'Login confirmation code', 'emlg-tfa' ); ?></title>
	<?php wp_head(); ?>
</head>
<body class="login wp-core-ui">
<div id="login">
	<?php if ( ! empty( $email ) ) : ?>
		<p class="message">
			<?php
			/* translators: email address */
			echo wp_kses_post( sprintf( __( 'A login code has been sent to %s', 'emlg-tfa' ), '<code>' . $email . '</code>' ) );
			?>
		</p>
	<?php endif; ?>
	<form method="POST" action="<?php echo esc_url( $emlg_url ); ?>" id="loginform" name="loginform">
		<?php if ( ! empty( $error ) ) : ?>
			<div id="login_error"><p><?php echo esc_html( $error ); ?></p></div>
		<?php endif; ?>
		<input type="text" value="" name="emlg_code" placeholder="<?php esc_html_e( 'Enter the code here', 'emlg-tfa' ); ?>"/>
		<p class="submit">
			<button class="button button-primary"><?php esc_html_e( 'Submit code', 'emlg-tfa' ); ?></button>
		</p>
	</form>
	<p>
		<a href="<?php echo esc_url( wp_login_url() ); ?>"><?php esc_html_e( 'Login page', 'emlg-tfs' ); ?></a>
	</p>
</div>
<?php wp_footer(); ?>
</body>
</html>
